﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TelerikWpfRadTabItemStyling
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            SetTheme("Summer");

            //SetTheme("ExpressionDark");

            //SetTheme("Windows7");

            //SetTheme("Vista");

            //SetTheme("Transparent");

            //SetTheme("Windows8");

            //SetTheme("OfficeSilver");

            //SetTheme("OfficeBlue");

            //SetTheme("OfficeBlack");

            InitializeComponent();

            ThemeName.Content = $"Theme: {Theme}";
        }

        public string Theme { get; private set; }

        private void SetTheme(string themeName)
        {
            Theme = themeName;

            switch (themeName)
            {
                case "OfficeSilver":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.Office_SilverTheme();
                    break;
                case "OfficeBlue":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.Office_BlueTheme();
                    break;
                case "OfficeBlack":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.Office_BlackTheme();
                    break;
                case "Windows7":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.Windows7Theme();
                    break;
                case "Summer":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.SummerTheme();
                    break;
                case "Vista":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.VistaTheme();
                    break;
                case "Transparent":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.TransparentTheme();
                    break;
                case "ExpressionDark":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.Expression_DarkTheme();
                    break;
                case "Windows8":
                    Telerik.Windows.Controls.StyleManager.ApplicationTheme = new Telerik.Windows.Controls.Windows8Theme();
                    break;
            }

            //Set TabItemStyle
            string nameSpace = "/TelerikWpfRadTabItemStyling";
            Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary() { Source = new Uri($"{nameSpace};component/RadTabItemStyle_{themeName}.xaml", UriKind.RelativeOrAbsolute) });
        }
    }
}
